MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004444ATutorAdminpublic2010-08-02 04:302010-12-20 10:19
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.1 
Summary0004444: update url to lang db
DescriptionPost a patch with the new URL to the location of the language db on atutor.ca
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004481)
harris (developer)
2010-08-04 07:42

atutor.ca doesn't seem to be the valid address.


Warning: mysql_connect() [function.mysql-connect]: Access denied for user
(0004482)
harris (developer)
2010-08-04 08:13
edited on: 2010-08-04 08:13

Should we allow non-localhost access to our database? I don't think it's a good idea to. atutor.ca timeout issues was probably related to this. Some host might have used the mysql access to overflow our database to cause timeout.

(0004611)
greg (administrator)
2010-09-18 13:26

bump
(0004624)
greg (administrator)
2010-09-22 07:06

We need to change how partical language pack are imported into ATutor. Replace direct access to mysql, with a cron that generates all language packs nightly, that can be imported the same way published language packs are. Create a directory at the same level as the version number directories called incomplete/ .
(0004695)
cindy (administrator)
2010-10-06 09:37

SVN revision: 10300

Solution: To prevent exposing the mysql login of the language database @atutor.ca:
1. A new script @ atutor.ca to retrieve the request language pack;
2. Modified atutor "Translate" page to use the new atutor.ca script to retrieve and import the remote partial language pack.

New script @ atutor.ca
http://atutor.ca/atutor/translate/get_lang_pack.php?lang_code=.. [^]

Modified scripts in ATutor:
include/lib/constants.inc.php
mods/_core/languages/classes/LanguageManager.class.php
mods/_core/languages/language_import.php

- Issue History
Date Modified Username Field Change
2010-08-02 04:30 greg New Issue
2010-08-02 04:30 greg Affects version => SVN
2010-08-04 05:50 harris Status new => assigned
2010-08-04 05:50 harris Assigned To => harris
2010-08-04 07:42 harris Note Added: 0004481
2010-08-04 08:13 harris Note Added: 0004482
2010-08-04 08:13 harris Note Edited: 0004482
2010-09-13 08:56 harris Assigned To harris => greg
2010-09-18 13:26 greg Note Added: 0004611
2010-09-22 07:03 greg Assigned To greg => cindy
2010-09-22 07:06 greg Note Added: 0004624
2010-10-06 09:37 cindy Status assigned => resolved
2010-10-06 09:37 cindy Fixed in Version => 2.0.1
2010-10-06 09:37 cindy Resolution open => fixed
2010-10-06 09:37 cindy Note Added: 0004695
2010-12-20 10:19 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker